#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version}|cut -d. -f1,2)
%define min_version %(echo %{version}|cut -d. -f1,2)

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components
Name:           plasma-framework
Version: 5.114.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz
## Upstream patches

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  qt5platformsupport-devel

BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(sm)

BuildRequires:  kidletime-devel >= %min_version
BuildRequires:  kitemmodels-devel >= %min_version
BuildRequires:  kwidgetsaddons-devel >= %min_version
BuildRequires:  kwindowsystem-devel >= %min_version
BuildRequires:  kcodecs-devel >= %min_version
BuildRequires:  karchive-devel >= %min_version
BuildRequires:  threadweaver-devel >= %min_version
BuildRequires:  kglobalaccel-devel >= %min_version
BuildRequires:  kconfig-devel >= %min_version
BuildRequires:  kauth-devel >= %min_version
BuildRequires:  kwallet-devel >= %min_version
BuildRequires:  kdbusaddons-devel >= %min_version
BuildRequires:  ki18n-devel >= %min_version
BuildRequires:  kguiaddons-devel >= %min_version
BuildRequires:  kconfigwidgets-devel >= %min_version
BuildRequires:  kservice-devel >= %min_version
BuildRequires:  kitemviews-devel >= %min_version
BuildRequires:  knotifications-devel >= %min_version
BuildRequires:  kiconthemes-devel >= %min_version
BuildRequires:  kcompletion-devel >= %min_version
BuildRequires:  kjobwidgets-devel >= %min_version
BuildRequires:  sonnet-devel >= %min_version
BuildRequires:  ktextwidgets-devel >= %min_version
BuildRequires:  kxmlgui-devel >= %min_version
BuildRequires:  kbookmarks-devel >= %min_version
BuildRequires:  kdeclarative-devel >= %min_version
BuildRequires:  kunitconversion-devel >= %min_version
BuildRequires:  kparts-devel >= %min_version
BuildRequires:  kio-devel >= %min_version
BuildRequires:  kdnssd-devel >= %min_version
BuildRequires:  kcoreaddons-devel >= %min_version
BuildRequires:  kcrash-devel >= %min_version
BuildRequires:  solid-devel >= %min_version
BuildRequires:  kactivities-devel >= 1:%min_version
BuildRequires:  kdoctools-devel >= %min_version

BuildRequires:  cmake(KF5Kirigami2) >= %min_version
BuildRequires:  cmake(KF5Wayland) >= %min_version

BuildRequires:  pkgconfig(openssl)

Requires:       kirigami

%description
KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components.

%files -f %{name}.lang
%_kf5_categoriesdir/plasma-framework.*categories
%_kf5_bindir/plasmapkg2
%_kf5_datadir/plasma
%_kf5_servicetypes/*.desktop
%_kf5_qmldir/org/kde/plasma
%_kf5_mandir/man1/plasmapkg2.1.*
%_kf5_mandir/*/man1/plasmapkg2.1*
%_kf5_qmldir/QtQuick/Controls/Styles/Plasma/
%_kf5_qmldir/QtQuick/Controls.2/Plasma/
%_kf5_qmldir/org/kde/kirigami.2/styles/Plasma/
%_qt5_plugindir/plasma/scriptengines/plasma_appletscript_declarative.so
%_qt5_plugindir/kpackage/packagestructure/*.so
%_qt5_plugindir/kf5/kirigami/KirigamiPlasmaStyle.so
%_kf5_datadir/kdevappwizard/templates

#--------------------------------------------------------------------

%define kf5plasmaquick_major 5
%define libkf5plasmaquick %mklibname kf5plasmaquick %{kf5plasmaquick_major}

%package -n %libkf5plasmaquick
Summary:        KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components
Group:          System/Libraries

%description -n %libkf5plasmaquick
KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components.

%files -n %libkf5plasmaquick
%_kf5_libdir/libKF5PlasmaQuick.so.%{kf5plasmaquick_major}{,.*}

#--------------------------------------------------------------------

%define kf5plasma_major 5
%define libkf5plasma %mklibname kf5plasma %{kf5plasma_major}

%package -n %libkf5plasma
Summary:        KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components
Group:          System/Libraries

%description -n %libkf5plasma
KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components.

%files -n %libkf5plasma
%_kf5_libdir/libKF5Plasma.so.%{kf5plasma_major}{,.*}

#--------------------------------------------------------------------

%define kf5plasma_devel %mklibname kf5plasma -d

%package -n %kf5plasma_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5plasmaquick = %version-%release
Requires:       %libkf5plasma = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5plasma_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5plasma_devel
%_kf5_includedir/Plasma/
%_kf5_includedir/plasma/
%_kf5_includedir/PlasmaQuick/
%_kf5_includedir/plasmaquick/
%_kf5_libdir/cmake/KF5Plasma/
%_kf5_libdir/cmake/KF5PlasmaQuick/
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name


%changelog
* Fri Feb 09 2024 neoclust <neoclust> 5.114.0-1.mga9
+ Revision: 2039981
- New version 5.114.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952094
- New version 5.105.0

* Sun Mar 12 2023 neoclust <neoclust> 5.104.0-2.mga9
+ Revision: 1948745
- Use new fixed tarball

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947888
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941395
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935044
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922295
- New version 5.101.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.100.1-2.mga9
+ Revision: 1922172
- rebuild for new Qt5 5.15.7 stack

* Tue Nov 29 2022 neoclust <neoclust> 5.100.1-1.mga9
+ Revision: 1912582
- New version 5.100.1

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911663
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900266
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887703
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880645
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1872157
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853265
- New version 5.93.0

* Sat Apr 09 2022 neoclust <neoclust> 5.92.0-2.mga9
+ Revision: 1848424
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Nov 10 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1755690
- New version 5.88.0
- New version 5.87.0
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735307
- New version 5.84.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723503
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714895
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702071
- New version 5.80.0

* Sat Feb 27 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1692519
- New version 5.79.0

* Mon Jan 25 2021 daviddavid <daviddavid> 5.76.0-2.mga8
+ Revision: 1673257
- add upstream patch to solve cyclic dependency of Units.qml (mga#28214)

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653380
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633230
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625665
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612990
- New version 5.73.0

* Thu Jul 09 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603698
- New version 5.72.0
- remove merged upstream patches

* Sun Jun 28 2020 daviddavid <daviddavid> 5.71.0-2.mga8
+ Revision: 1599947
- systray [1/4]: Fix unreadable text w/ Breeze Dark
- plasma-nm [1/2]: Fix password is asked twice

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592829
- New version 5.71.0

* Sat May 16 2020 daviddavid <daviddavid> 5.70.1-1.mga8
+ Revision: 1584355
- New version 5.70.1

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582055
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566546
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556723
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546952
- Mageia 8 Mass Rebuild

* Wed Feb 05 2020 daviddavid <daviddavid> 5.67.0-1.mga8
+ Revision: 1487285
- compile with -Wno-dev
+ neoclust <neoclust>
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466270
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457660
- New version 5.64.0

* Sun Oct 13 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1452538
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444847
- New version 5.62.0

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420112
- New version 5.60.0

* Wed Apr 10 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1387814
- New version 5.57.0

* Mon Apr 01 2019 umeabot <umeabot> 5.56.1-3.mga7
+ Revision: 1383993
- Qt5 Rebuild

* Fri Mar 22 2019 daviddavid <daviddavid> 5.56.1-2.mga7
+ Revision: 1379520
- backport upstream patch to fix breeze dialog background regression with Qt 5.12.2
  * https://phabricator.kde.org/D19821

* Wed Mar 13 2019 daviddavid <daviddavid> 5.56.1-1.mga7
+ Revision: 1375418
- New version 5.56.1
+ neoclust <neoclust>
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364577
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356707
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339256
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1319003
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1300302
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1250294
- New version 5.49.0

* Tue May 22 2018 daviddavid <daviddavid> 5.46.0-2.mga7
+ Revision: 1231425
- enable Wayland compositor support

* Fri May 18 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1230323
- New version 5.46.0
- New version 5.46.0

* Thu Jan 25 2018 neoclust <neoclust> 5.42.0-2.mga7
+ Revision: 1196942
- Add conflict to ease update

* Wed Jan 17 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1194035
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1182377
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161278
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140981
- New version 5.37.0
+ pterjan <pterjan>
- Fix for new find_lang

* Sat Jul 22 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1128100
- New version 5.36.0

* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-3.mga6
+ Revision: 1089500
- Rebuild for ARM

* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-2.mga6
+ Revision: 1089474
- Rebuild for ARM

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1089004
- New version 5.32.0

* Mon Jan 16 2017 neoclust <neoclust> 5.29.0-2.mga6
+ Revision: 1081972
- Rebuild for ARM

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074576
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072240
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058395
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050572
- New version 5.26.0

* Sat Aug 20 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1047452
- New version 5.25.0

* Wed Jul 13 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041676
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021970
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014380
- New version 5.22.0

* Sat Apr 23 2016 neoclust <neoclust> 5.21.0-2.mga6
+ Revision: 1005785
- Add conflict to ease upgrade

* Wed Apr 13 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 1000980
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986844
- New version 5.20.0

* Sun Feb 21 2016 neoclust <neoclust> 5.19.0-2.mga6
+ Revision: 975491
- Fix Taskmanager crash

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942289
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921316
- New version 5.18.0
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 910616
- Rebuild as previous ones had been rejected by the BS

* Mon Dec 14 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 910545
- New version 5.17.0

* Tue Nov 24 2015 neoclust <neoclust> 5.16.0-5.mga6
+ Revision: 905737
- Remove umbrella BR

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900507
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899482
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898957
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888197
- New version 5.15.0

* Sun Sep 20 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881839
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 863282
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862827
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Wed Jul 15 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 854441
- New version 5.12.0

* Fri Jul 03 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 849736
- New version 5.11.0

* Fri Dec 19 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 804230
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 739047
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 687630
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660455
- New version 5.1.0

* Tue Jul 15 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 652908
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 600252
- New version 4.97.0

* Thu Feb 27 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597639
- imported package plasma-framework

